## org.omg.PortableServer.POAPackage
Class ServantAlreadyActiveHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAPackage.ServantAlreadyActiveHelper

public class ServantAlreadyActiveHelper
extends java.lang.Object

Helper class for : ServantAlreadyActive

Author:
  OpenORB Compiler

Constructor Summary
`ServantAlreadyActiveHelper()`

Method Summary
`static ServantAlreadyActive` `extract(Any a)` Extract ServantAlreadyActive from an any
`static java.lang.String` `id()` Return the ServantAlreadyActive IDL ID
`static void` `insert(Any a, ServantAlreadyActive t)` Insert ServantAlreadyActive into an any
`static ServantAlreadyActive` `read(InputStream istream)` Read ServantAlreadyActive from a marshalled stream
`static TypeCode` `type()` Return the ServantAlreadyActive TypeCode
`static void` `write(OutputStream ostream, ServantAlreadyActive value)` Write ServantAlreadyActive into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServantAlreadyActiveHelper

    public ServantAlreadyActiveHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ServantAlreadyActive t)

  Insert ServantAlreadyActive into an any
  Parameters:
    `a` - an any
    `t` - ServantAlreadyActive value

### extract

    public static ServantAlreadyActive extract(Any a)

  Extract ServantAlreadyActive from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ServantAlreadyActive value

### type

    public static TypeCode type()

  Return the ServantAlreadyActive TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ServantAlreadyActive IDL ID
  Returns:
    an ID

### read

    public static ServantAlreadyActive read(InputStream istream)

  Read ServantAlreadyActive from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ServantAlreadyActive value

### write

    public static void write(OutputStream ostream,
                             ServantAlreadyActive value)

  Write ServantAlreadyActive into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ServantAlreadyActive value